% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dataframe.reg.R
\name{dataframe.reg}
\alias{dataframe.reg}
\title{Retrieve a data.frame result of univariate regression}
\usage{
\method{dataframe}{reg}(x, save = FALSE, file = NULL, sep = ",",
  row.names = FALSE, ...)
}
\arguments{
\item{x}{A reg object}

\item{save}{A logical, whether to save the concentrated result}

\item{file}{A character string naming a file, see \code{\link{write.table}} for more details, the default filepath is current working directory and the filename is the current time.}

\item{sep, row.names, \dots}{See \code{\link{write.table}} for more details}
}
\description{
Return a concentrated result of univariate regression models.
}
\examples{
reg_glm<-reg(data = diabetes, x=c(1:4),y = 5,
factor = c(1, 3, 4), model = 'glm')

dataframe(reg_glm)
# dataframe(reg_glm, save = TRUE)
# dataframe(reg_glm, file = "C:/reg_glm_out.csv")
}
\seealso{
\code{\link{reg}}
}

